Subject: SSHD: error initializing windows sockets if I use ".ssh/authorized_keys"
From: Tino Lange <[email-masked]>
To: [email-masked]
Date: Sat, 16 Nov 2002 18:21:19 +0100

Hi again!

I have some new problems with sshd on Windows 2000.
(all latest cygwin packages from today)

I try to login on my Win 2000 machine from my Linux machine. Works fine
so far. (Thanks for your recent help!)
But: if I use RSA authentication with "authorized_keys" to get on the
cygwin machine it still works but I don't have network/sockets - the
windows socket interface cannot be initialized?!

If I remove "authorized_keys" and login via password it works again.
Strange, or?

Here's a copy and paste:

tino@tinux:~ > ssh tinont
Tino@tinont's password:
Last login: Sat Nov 16 18:12:09 2002 from tinux.tino-lange.de
Fanfare!!!
You are successfully logged in to this server!!!

Tino@TINONT ~
$ ping tinux

Ping tinux [192.168.1.1] mit 32 Bytes Daten:

Antwort von 192.168.1.1: Bytes=32 Zeit<10ms TTL=64
Antwort von 192.168.1.1: Bytes=32 Zeit<10ms TTL=64

Ping-Statistik fr 192.168.1.1:
    Pakete: Gesendet = 4, Empfangen = 4, Verloren = 0 (0% Verlust),
Ca. Zeitangaben in Millisek.:
    Minimum = 0ms, Maximum =  0ms, Mittelwert =  0ms

Tino@TINONT ~
$ cat .ssh/identity.pub > .ssh/authorized_keys

Tino@TINONT ~
$ chmod 644 .ssh/authorized_keys

Tino@TINONT ~
$ logout
Connection to tinont closed.

tino@tinux:~ > ssh tinont
Last login: Sat Nov 16 18:12:51 2002 from tinux.tino-lange.de
Fanfare!!!
You are successfully logged in to this server!!!

Tino@TINONT ~
$ ping tinux
Fehler bei der Initialisierung der Windows-Socketsschnittstelle.
Fehlercode 0.

Tino@TINONT ~
$ rm .ssh/authorized_keys

Tino@TINONT ~
$ logout
Connection to tinont closed.

tino@tinux:~ > ssh tinont
Last login: Sat Nov 16 18:12:51 2002 from tinux.tino-lange.de
Fanfare!!!
You are successfully logged in to this server!!!

Tino@TINONT ~
$ ping tinux

Ping tinux [192.168.1.1] mit 32 Bytes Daten:

Antwort von 192.168.1.1: Bytes=32 Zeit<10ms TTL=64
Antwort von 192.168.1.1: Bytes=32 Zeit<10ms TTL=64

Ping-Statistik fr 192.168.1.1:
    Pakete: Gesendet = 4, Empfangen = 4, Verloren = 0 (0% Verlust),
Ca. Zeitangaben in Millisek.:
    Minimum = 0ms, Maximum =  0ms, Mittelwert =  0ms

Tino@TINONT ~
$

Do you have an idea?
Thanks!

Tino

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/